# Regulamento de Trabalho de Conclusão de Período (TCP)

> Curso Superior de Tecnologia em Jogos Digitais
>
> Campus Engenheiro Paulo de Frontin
>
> Instituto Federal do Rio de Janeiro


## Capítulo I – Objetivos e Características

 Art.1º.  O Trabalho de Conclusão de Período (TCP) é uma atividade obrigatória, constituída por seis disciplinas distribuídas pelo currículo Curso Superior de Tecnologia em Jogos Digitais e tem como objetivos:

​        I -         Desenvolver a capacidade de aplicação dos conceitos e teorias adquiridas durante o curso de forma integrada, por meio da execução de um projeto de jogo digital.

​       II -        Desenvolver a capacidade de planejamento e disciplina para resolver problemas dentro das diversas áreas de formação.  

​       III -      Despertar o interesse pela pesquisa como meio para a resolução de problemas.

​       IV-      Estimular o espírito empreendedor, por meio da execução de projetos que levem ao desenvolvimento de produtos, os quais possam ser patenteados e/ou comercializados.  

​       V -       Intensificar a extensão universitária, por intermédio da resolução de problemas existentes nos diversos setores da sociedade.

​       VI-      Estimular a construção do conhecimento coletivo.

​      VII-      Estimular a interdisciplinaridade.

​     VIII -      Estimulara inovação tecnológica.

​       IX-       Estimular o espírito crítico e reflexivo no meio social onde está inserido.

​       X -        Estimular a formação continuada.


 Art.2º.  O TCP poderá ser desenvolvido individualmente ou em equipe.

 Art.3º.  Serão 6disciplinas de TCP, uma para cada semestre do curso. Cada TCP, exceto o TCP 6,terá uma temática tecnológica baseada nas disciplinas obrigatórias do semestre em que está inserida.

 Art.4º.  O TCP 6 não possui vínculo tecnológico com o semestre, assim sendo o tema livre dentro do escopo do curso.

​    § 1º.      O TCP será caracterizado por um projeto de jogo.

​    § 2º.      É vedada a convalidação de TCP realizado em outro curso de graduação ou disciplina de TCP.



## Capítulo II – Das Atribuições



### Seção I – Professor Orientador do TCP



 Art. 5º.   Compete ao Professor Orientador do TCP:

​        I -         Orientar o(s) aluno(s) na elaboração do TCP em todas as suas fases, do projeto de pesquisa até a defesa e entrega da versão final do Projeto de Jogo.

​       II -        Apoiar a Coordenação de Curso no desenvolvimento das atividades relativas ao TCP.

​       III -      Organizar e operacionalizar as diversas atividades de desenvolvimento e avaliação do TCP que se constituem na apresentação do projeto de pesquisa, apresentação parcial, quando houver edefesa final.

​       IV-      Efetuar a divulgação e o lançamento das avaliações referentes ao TCP.

​       V -       Promover reuniões de orientação e acompanhamento com os alunos que estão desenvolvendo o TCP.

​       VI-      Definir, juntamente com a Coordenação de Curso, as datas das atividades de acompanhamento e de avaliação do TCP.

​     VII -      Promover, juntamente com a Coordenação de Curso, a integração com a Pós-Graduação, empresas e organizações, de forma a levantar possíveis temas de trabalhos e fontes de financiamento.

​     VIII -      Constituir as bancas de avaliação dos TCP.

​       IX-       Orientar o aluno na aplicação de conteúdos e normas técnicas para a elaboração do TCP.

​       X -        Efetuar a revisão dos documentos e componentes do TCP, e autorizar os alunos a fazerem as apresentações previstas e a entrega de toda a documentação solicitada.

 Art.6º.  O acompanhamento dos alunos no TCP será efetuado pelo Professor Orientador.

​               § 1º.     O Professor Responsável deverá, obrigatoriamente, pertencer ao corpo docente do Campus da IFRJ ao qual o aluno está vinculado, podendo existir coorientador(es).  

​               § 2º.     O(s) coorientador(es) terá(ão) por função auxiliar no desenvolvimento do trabalho, podendo ser qualquer profissional com conhecimento aprofundado e reconhecido no assunto em questão.


### Seção II – Dos Alunos

 Art.7º.  São obrigações do(s) Aluno(s):  

​        I -         Ter cursado disciplina/unidade curricular pré-requisitos e/ou co-requisitos para o TCP que deseja se matricular.

​       II -        Elaborar e apresentar o projeto de jogo, composto de um protótipo funcional e toda a documentação de acompanhamento e desenvolvimento em conformidade com este Regulamento.

​       III -      Apresentar toda a documentação solicitada pelo Professor Orientador.

​       IV-      Participar das reuniões periódicas de orientação com o Professor Orientador do TCP.

​       V -       Seguir as recomendações do Professor Orientador concernentes ao TCP.

​       VI-      Participar de todos os seminários e apresentações referentes ao TCP.

​      VII-      Entregar ao Professor Orientador pelo TCP a documentação escrita corrigida (de acordo com as recomendações da banca examinadora) nas versões impressa e eletrônica, incluindo arquivos de resultados experimentais, tais como: planilhas, gráficos, protótipos, softwares e outros.

​     VIII -      Tomar ciência e cumprir os prazos estabelecidos pela Coordenação de Curso e Professor Orientador.

​       IX-       Respeitar os direitos autorais sobre artigos técnicos, artigos científicos, textos de livros, sítios da Internet, entre outros, evitando todas as formas e tipos de plágio acadêmico.


## CAPÍTULO III DA MATRÍCULA E ACOMPANHAMENTO

### Seção I - DA MATRÍCULA

Art.8º. A matrícula no TCP será operacionalizada pela Secretária de Ensino da Graduação do campus.

​​               § 1º.     A matrícula em TCP somente poderá ser efetuada se todos os pré e co requisitos forem atendidos.  

​​               § 2º.     A matrícula em TCP 6 somente poderá ser efetuada pelo aluno, após aprovação em todos os TCPs anteriores.


### Seção II - DO ACOMPANHAMENTO

Art.9º. O acompanhamento dos trabalhos será feito por meio das disciplinas de TCP.

Parágrafo único - Após cada encontro de orientação deverá ser feito um relatório simplificado dos assuntos tratados na reunião na forma de ata, o qual deverá ser assinado pelo(s) aluno(s). O documento deve fazer parte da documentação final entregue junto com o projeto na defesa do projeto.


## CAPÍTULO IV DO DESENVOLVIMENTO DOS TCC 1 E TCC 2

### Seção I - do TCC 1

Art. 14 - O TCC 1 constitui-se atividade e condiçãoobrigatória para a matrícula em TCC 2, sendo desenvolvido e defendido no prazomáximo de um período letivo.

Art. 15 - O tema para o TCC deverá estar inserido em um doscampos de atuação do curso do aluno.

§ 1.o - Quando da apresentação da proposta do Projeto dePesquisa, o(s) aluno(s) deverá(ao) comunicar por escrito, ao ProfessorResponsável, a composição de sua equipe, quando houver, e a sugestão doProfessor Orientador.  § 2.o - Odocumento citado no parágrafo 1.o deverá conter a concordância do ProfessorOrientador proposto.  

Art. 16 - A avaliação do Projeto de Pesquisa será organizadapelo Professor Responsável, de acordo com o estabelecido em normascomplementares.

Art. 17 - Os Projetos de Pesquisa serão avaliados com basenos seguintes critérios:  I. Relevânciana área do curso (acadêmico, utilidade prática do projeto, abordageminovadora).  II. Exeqüibilidade ecronograma de execução.  III.Viabilidade.  

Art. 18 - São condições necessárias para aprovação em TCC 1:I. Freqüência igual ou superior a 75% nas atividades programadas pelo ProfessorResponsável e Professor Orientador. II. Apresentação de Projeto de Pesquisa porescrito, elaborado de acordo com os padrões da UTFPR. III. Defesa e aprovaçãoda Proposta do Projeto de Pesquisa.  IV.Defesa e aprovação em avaliação parcial, quando houver, em que se verificará aqualidade do trabalho desenvolvido até aquele momento e o cumprimento docronograma proposto. V. Comprovação de ter cursado com êxito conteúdos demetodologia científica e/ou de pesquisa tecnológica ou correlatos. § 1.o- Asavaliações da proposta do Projeto de Pesquisa e da avaliação  parcial (quando houver), serão feitas por umabanca composta de pelo menos 3 (três) professores, incluindo o ProfessorOrientador, organizada pelo  ProfessorResponsável e homologada pelo Coordenador de Curso. § 2.o- Em caso deimpedimento do Professor Orientador, a Coordenação do Curso indicará umprofessor substituto.  

### Seção II - do TCC 2

Art. 19 - O TCC 2 caracteriza-se pela execução do Projeto dePesquisa aprovado na atividade TCC 1, defesa final e entrega da monografia.

Art. 20 - A defesa final constitui-se requisito obrigatóriopara aprovação e será realizada em forma de seminário público.  

Art. 21 – São condições necessárias para aprovação em TCC 2:

​      I – Freqüênciamaior ou igual a regimental nas atividades programadas pelo ProfessorResponsável e Professor Orientador.      II – Apresentação da monografia, elaborada de acordo com os padrões daUTFPR.      III – Defesa e aprovação noseminário público de defesa final do TCC.

§ 1.o- A avaliação final do TCC 2 será feita por uma bancacomposta de pelo menos 3 (três) professores, incluindo o Professor Orientador,organizada pelo  Professor Responsável ehomologada pelo Coordenador de Curso. § 2.o- Em caso de impedimento doProfessor Orientador, a Coordenação do Curso indicará um professorsubstituto.  

Art. 22 - Para participar do(s) Seminário(s) de Defesa Finaldo TCC 2, o aluno deverá inscrever-se com o Professor Responsável, respeitadosos prazos estabelecidos para esta atividade.

Art. 23 - No ato da inscrição para o Seminário de Defesa doTCC 2, o aluno deverá entregar as cópias da monografia, devidamente rubricadaspelo seu orientador. § 1.o - Entende-se por monografia o documento escrito eimpresso pelo aluno, contendo a descrição completa do TCC conforme padrão daUTFPR. § 2.o - Também deverão ser entregues os seguintes documentos aoProfessor Responsável:  I - Atas dasreuniões realizadas com o Professor Orientador.   II -Carta de autorização para a defesafinal, assinada pelo Professor Orientador.

Art. 24 - A etapa de desenvolvimento do TCC 2 e a defesafinal deverão acontecer no prazo de um período letivo. Parágrafo único - Caso oaluno não tenha concluído com êxito o TCC 2 durante o período letivo, o mesmodeverá matricular-se novamente para sua integralização.


## CAPÍTULO V DA DISPONIBILIZAÇÃO E DIVULGAÇÃO DOS TRABALHOS

Art. 25 - Deverá(ão) obrigatoriamente ser entregue(s) aoProfessor Responsável como documentação final do TCC, cópias da monografia e/ouprodutos, documentos exigidos em normas complementares, na(s) forma(s)impressa(s) e/ou eletrônica(s).

§ 1.o - A monografia deverá obrigatoriamente obedecer aospadrões estabelecidos pela UTFPR para apresentação de trabalhos acadêmicos. §2.o - As monografias possuirão folha de aprovação na qual constarão, no mínimo,as assinaturas dos membros da banca e do Coordenador do Curso.  

Art. 26 - A UTFPR reserva-se o direito de disponibilizar asmonografias em cópia material, ou por intermédio de mídias diversas, nasbibliotecas e na Internet. Parágrafo único - Quando da necessidade de sigilo emdeterminados dados ou resultados do trabalho, estes não serão divulgadoseletronicamente ou via monografia disponibilizada na biblioteca e na Internet.


## CAPÍTULO VI DAS DISPOSIÇÕES GERAIS

Art. 27 - Quando o TCC for realizado em parceria comempresas ou outras organizações, deverá ser formado termo de compromissopróprio, definindo as atribuições, direitos e deveres das partes envolvidas,inclusive a autorização da divulgação do nome da empresa na publicação dotrabalho.

Art. 28 - Poderão ser disponibilizados meios alternativospara acompanhamento e avaliação de alunos que desenvolvem o TCC fora dalocalidade onde o aluno estiver matriculado, a critério do Coordenador.

Art. 29 - Quando o TCC resultar em patente, a propriedadedesta será estabelecida conforme regulamentação própria.

Art. 30 - As coordenações de curso poderão estabelecernormas operacionais complementares para as atividades de TCC.

Art. 31 - Os casos omissos a este regulamento serãoresolvidos pelo Gerente de Ensino e Pesquisa, ouvidos os Coordenadores deCurso.             Art 32 – APró-Reitoria de Graduação e Educação Profissional emitirá Instrução Normativaestabelecendo a abrangência dos Cursos e currículos que adotarão esteregulamento bem como o período de implantação.

------------------------------

# Adições técnicas
Orientações para TCP
O presente documento serve para ajudar na uniformização das disciplinas de TCP:

Formação de Grupos
Não deverá haver grupos de apenas um componente, pois o trabalho colaborativo faz parte da experiência/aprendizado do TCP. Podendo haver exceções por recomendação do docente responsável ou no caso de haver numero insuficiente de alunos inscritos na disciplina.
Não existe limite para o tamanho máximo do grupo (apenas minimo), assim ficando a critério do docente definir limites e regras para formação de grupos.
Cabe ao professor definir como os grupos devem gerir seus componentes, definindo se pode haver troca de membros ou “contratações”/“demissões”

Temas de Projeto
Os temas dos projetos devem estar adequados ao tema do TCP e sempre que possível privilegiar diretrizes curriculares.
O projeto deve ter sua classificação indicativa esperada divulgada antes de qualquer apresentação.
Temáticas envolvendo assuntos que possam ofender grupos específicos (linguagem imprópria de cunho discriminatório, racista, misógino, machista, homofóbico ou semelhantes) devem ser consultados e aprovados pelo docente responsável.
Caso haja dúvidas do docente sobre a natureza do tema escolhido, e quanto a sua adequação para uso no TCP é recomendável consultar grupos institucionais adequados (NAPNE, NEABI, COTP, outros).

Cronograma
O cronograma de apresentações deve ser montado em conjunto pelos professores de TCP a cada semestre. É necessário que todos concordem, assinem e divulguem para toda a comunidade o cronograma de apresentações.
Não deve haver apresentações na semana de VS, dias de COC ou outras reuniões do curso técnico e graduação.
É recomendado 3 apresentações (Inicial, Qualificação, Final)

Local/Horário de Apresentação de TCP
As apresentações devem ser realizadas no horário da respectiva disciplina de TCP em conformidade com o cronograma do aprovado.
Nenhuma apresentação deve ser realizada fora do período letivo do curso (matutino).
Caso o número de ouvintes (técnicos, turmas dos professores da banca ou alunos interessados) seja maior que os assentos da sala é recomendado o uso do auditório, com exceção de TCPs que necessitem de infraestrutura especial (jogos multiplayer).
O docente irá estipular se as apresentações intermediárias serão apenas para a turma e banca ou aberta ao público em geral do campus. Sendo que a apresentação final deve sempre ser aberta.
Professores do curso que previamente acordaram em compor a banca, caso estejam em aula no dia e horário da apresentação, podem optar por levar turma para apresentação e realizar presença normalmente. Ao término das apresentações a prof. deve retornar a aula.

Apresentação
Cada grupo de TCP terá, no máximo, 15 minutos para apresentar.
A apresentação deve ser cronometrada, e ao atingir o limite estabelecido o grupo terá 1 minuto adicional para encerrar.
É permitido que um novo tempo (maior) de apresentação seja proposto pelo docente da disciplina, desde que informado a banca previamente e nenhuma apresentação fique fora do horário da disciplina. (Válido para TCPs com menos de 3 grupos).
A ordem de apresentação será por sorteio. Se o primeiro grupo se ausentar ou atrasar o início da apresentação poderá ser penalizado. Os outros grupos poderão se voluntariar para adiantar suas apresentações caso algum grupo esteja ausente.
O docente em conjunto com CSTI deve garantir que a sala onde será a feito a defesa dos projetos esteja condições para realização da apresentação.

Critérios de Avaliação
O docente é responsável por determinar o critérios de avaliação e comunicar a banca.
Toda apresentação deve possuir o critério de tempo, caso o grupo não termine no tempo estipulado deve haver uma penalização.
Todo grupo, na apresentação final, deve entregar um vídeo de gameplay do jogo antes do dia apresentação.
Todo grupo deve entregar a documentação do projeto atualizada, vídeo de gameplay (caso haja um protótipo) e pitching (caso estejam cursando a disciplina de inglês e/ou edição de vídeo) dois dias antes das apresentações.
O grupo só poderá participar da apresentação final (e receber grau) caso apresente ao docente uma declaração da biblioteca de que o projeto foi corretamente inserido no repositório.

VS para TCP
Todo grupo tem direito a realizar VS, caso se enquadre nas regras de VS.
Para a VS, a banca, deve estipular critérios que caem em exigência, e o grupo terá 1 semana para cumprir as metas, cabendo ao professor da disciplina averiguar se tais metas foram cumpridas no prazo.
O prof. da disciplina em conjunto com a banca pode propor outras formas de aplicar a VS.

Banca
É recomendado que a banca seja composta por, no mínimo, 3 componentes sendo o ministrante da disciplina e mais dois que podem ser docentes do curso ou externos.
É permitido membros da banca externos em qualquer uma das etapas de avaliação.
Todos os membros da banca devem receber um certificado de participação. Sendo responsabilidade do docente da disciplina organizar a emissão do certificado.

Propriedade Intelectual do Projeto
O professor deve deliberar sobre como será atribuída propriedade intelectual do projeto desenvolvido.
O IFRJ como instituição sempre será parte solidária no desenvolvimento do projeto e todo projeto deverá no início conter uma exibição do logo do IFRJ e Campus.
